#
# Conditional build:
%bcond_with	sse4		# SSE4.1 (obligatory) and optionally AVX+ instructions
#
Summary:	Fraunhofer Versatile Video Decoder (VVdeC)
Summary(pl.UTF-8):	VVdeC - dekoder obrazu Fraunhofer Versatile Video
Name:		vvdec
Version:	3.0.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/fraunhoferhhi/vvdec/releases
Source0:	https://github.com/fraunhoferhhi/vvdec/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b07f26175f139cc28fd967a9c7f95d68
Patch0:		%{name}-pc.patch
Patch1:		%{name}-no-simd.patch
URL:		https://github.com/fraunhoferhhi/vvdec
BuildRequires:	cmake >= 3.12.0
# C++14
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
%if %{with sse4}
Requires:	cpuinfo(sse4_1)
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VVdeC, the Fraunhofer Versatile Video Decoder, is a fast software
H.266/VVC decoder implementation supporting all features of the VVC
Main10 profile.

%description -l pl.UTF-8
VVdeC (Fraunhofer Versatile Video Decoder) to szybka implementacja
programowego dekodera H.266/VVC, obsługująca całą funkcjonalność
profilu VVC Main10.

%package devel
Summary:	Header files for VVdeC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki VVdeC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:5

%description devel
Header files for VVdeC library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki VVdeC.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_SKIP_INSTALL_RPATH=ON \
	%{!?with_sse4:-DVVDEC_ENABLE_X86_SIMD=OFF} \
	-DVVDEC_INSTALL_VVDECAPP=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -p build/source/App/vvdecapp/vvdecapp $RPM_BUILD_ROOT%{_bindir}
cp -dp build/source/Lib/vvdec/libvvdec.so* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md LICENSE.txt README.md
%attr(755,root,root) %{_bindir}/vvdecapp
%attr(755,root,root) %{_libdir}/libvvdec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvvdec.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvvdec.so
%{_libdir}/cmake/vvdec
%{_includedir}/vvdec
%{_pkgconfigdir}/libvvdec.pc
%changelog
* Sun Feb 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vvdec.git;a=log;h=master

* Sun Feb 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 4e0f8e2
- updated to 3.0.0 (new soname)

* Sun Feb 23 2025 Jakub Bogusz <qboosh@pld-linux.org> c27ff7f
- use patch -P

* Sun Sep 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 7e81b63
- package vvdecapp

* Sun Sep 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 4b51ceb
- new

